### Enumeration

# Gimp HistogramChannel

unstable since: 3.0

#### Declaration

    enum Gimp.HistogramChannel

#### Description [src]

Extracted from app/core/core-enums.h.

Available since: 3.0

#### Members

`GIMP_HISTOGRAM_VALUE`

  GIMP_HISTOGRAM_VALUE.

  - Value: `0`
  - Nickname: `value`
  - Available since: 3.0
`GIMP_HISTOGRAM_RED`

  GIMP_HISTOGRAM_RED.

  - Value: `1`
  - Nickname: `red`
  - Available since: 3.0
`GIMP_HISTOGRAM_GREEN`

  GIMP_HISTOGRAM_GREEN.

  - Value: `2`
  - Nickname: `green`
  - Available since: 3.0
`GIMP_HISTOGRAM_BLUE`

  GIMP_HISTOGRAM_BLUE.

  - Value: `3`
  - Nickname: `blue`
  - Available since: 3.0
`GIMP_HISTOGRAM_ALPHA`

  GIMP_HISTOGRAM_ALPHA.

  - Value: `4`
  - Nickname: `alpha`
  - Available since: 3.0
`GIMP_HISTOGRAM_LUMINANCE`

  GIMP_HISTOGRAM_LUMINANCE.

  - Value: `5`
  - Nickname: `luminance`
  - Available since: 3.0